Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: wontfix
Crashes QGIS or corrupls data: Copied to github as #: 15478
Description

Trying to export a 5 classes graduated symbology using the "old symbology" as SLD results in an incomplete error message simply saying
"Could not save symbology because:" (no further explanation).
Switching to "new symbology" and saving the file work fine instead. The style is the same as in report #6153

History

#1 - 2012-08-04 09:02 AM - Giovanni Manghi

Hi,

old symbology is not supported anymore, it will dropped in QGIS 2.0 and it is still in QGIS 1.x for retro-compability with older qgis projects.

#2 - 2012-08-04 09:02 AM - Andrea Aime

Btw, the bug happens on release 1.8.0 Lisboa on both Ubuntu 10.04 and Windows XP

#3 - 2012-08-04 09:06 AM - Andrea Aime

If this is the case the "export to SLD" functionality should at least be hidden or disabled when using the old symbology, or the error message be updated to

tell the user export to SLD only works with new symbology. As it stands it's confusing, one has to guess that changing symbology will fix the issue.

This is more important on Linux, where the old symbology seems to be the default, while on Windows XP I'm getting the new symbology as the default one

when opening the property dialog

#4 - 2012-08-04 09:10 AM - Giovanni Manghi

This is more important on Linux, where the old symbology seems to be the default, while on Windows XP I'm getting the new symbology as the

default one when opening the property dialog

It is not the default under Linux. In your case it probably depends on an old configuration of a previous QGIS installation. In the general options you can
configure QGIS to work by default with the old or new symbology.

#5 - 2012-08-05 05:15 AM - Giovanni Manghi

- Resolution set to wontfix
- Status changed from Open to Closed

2025-04-27 22



